summaryrefslogtreecommitdiffabout
Side-by-side diff
Diffstat (more/less context) (ignore whitespace changes)
-rw-r--r--delta.jscad20
1 files changed, 18 insertions, 2 deletions
diff --git a/delta.jscad b/delta.jscad
index ad19f88..eb538d2 100644
--- a/delta.jscad
+++ b/delta.jscad
@@ -16,49 +16,50 @@ var CONFIG = {
},
column: {
h: 600 // column height
},
heatbed: {
r: 220/2, // heatbed radius
sr: 220/2-4.5, // radius of the screwholes circle
h: 3+1.5 // thickness (including insulation)
},
glass: {
r: 195/2, // glass radius
h: 3 // glass thickness
},
duet: {
pcb_size: { x: 124, y: 100, z: 1 },
hole_spacing: { x: 115, y: 92 },
h: 30
},
foot: {
d: 20*Math.sqrt(2), h: 30,
bolt: { d:5, l: 19, hd: 10 },
margin: 2.5,
nut: { d: 8.6 /* TODO: */, h: 3.5 },
shell: 4,
- zscalefactor: 1.6
+ zscalefactor: 1.6,
+ foot: { ho: 2.5, hi: 5 }
},
hotend: {
h: 62.4, // full assembly height
groove: { d:12, h:6 }, // grove diameter and height
ungroove: { d:16, above:3.7, below: 3+4 }
},
effector: {
h: 6,
o: 20, // offset to the rod mounts line
rods_apart: 40,
cone: { shell: 1, angle: Math.PI/6 },
rodend: {
joint_w: 7, // thickness of the joint
screw_l: 20-1, // 20 with the head
screw_d: 3
},
hotend: { margin: 2 },
hinge: {
d: 3, w: 5, margin: 2.5,
h: 1+(6+3.7)/2, // elevation + grove + top
e: 1 // elevation
},
clamp: {
shell: 4.6,
@@ -70,49 +71,50 @@ var CONFIG = {
size: [ 19.8, 6, 10 ],
screw: {
d: 2, h: 10/2-2,
s: 1.3, // screw shell
o: [-9.5/2,9.5/2].map(function(x) {
return -19.8/2+x;
})
},
switch_x: 2.5
},
guide: {
width: 3, height: 5+1, length: 6
},
fanholder: {
r: 30,
screw: { d: 3, m: 2.5/*margin*/ },
w: 3
}
},
nut: { h: 2.3, w: 5.5 },
color: {
extrusion: [0.8, 0.8, 0.8, 0.8],
pcb: [ 0, 0.3, 0.2, 0.8 ],
bulk: [ .9, .9, .9, .2 ],
- parts: [ 0, 0.8, 0, 0.9 ]
+ parts: [ 0, 0.8, 0, 0.9 ],
+ softparts: [ 0, 0, 0.8, 0.9 ]
}
};
var CD = {
base: (function(){
var rv = {};
rv.circumscription_r =
CONFIG.base.sl/2/Math.cos(Math.PI/6);
rv.outer_inscription_r =
Math.sqrt(Math.pow(rv.circumscription_r,2)-
Math.pow(CONFIG.base.sl/2,2));
rv.mid_inscription_r =
rv.outer_inscription_r-CONFIG.extrusion.w/2;
rv.inner_inscription_r =
rv.outer_inscription_r-CONFIG.extrusion.w/2;
// TODO: properly calculate
rv.column_r = rv.circumscription_r - 48.29;
return rv;
})()
};
var U = {
hypotenuse: function(a,b) {
return Math.sqrt(Math.pow(a,2)+Math.pow(b,2));
@@ -615,48 +617,62 @@ function foot() {
}).scale([1,1,F.zscalefactor]).translate([0,0,bh]).union(CSG.cylinder({ // top hat
start: [0,0,bh], end: [0,0,F.h], radius: F.d/2, resolution: r
})).intersect(CSG.cylinder({ // cut off excess
start: [0,0,0], end: [0,0,F.h], radius: F.d
})).subtract([
CSG.cylinder({ // bolt hole
start: [0,0,-1], end: [0,0,F.h+1], radius: F.bolt.d/2+PRINT.slide_tolerance
}), CSG.cylinder({ // nut hole
start: [0,0,F.h-F.nut.h-PRINT.play_tolerance],
end: [0,0,F.h],
radius: F.nut.d/2+PRINT.slide_tolerance, resolution: 6
}), CSG.cylinder({ // bolthead/washer hole
start: [0,0,-1], end: [0,0,F.h-F.nut.h-PRINT.play_tolerance-F.shell],
radius: F.bolt.hd/2+PRINT.play_tolerance
})
]).union(CSG.cylinder({ // bridging patch
start: [0,0,F.h-F.nut.h-PRINT.play_tolerance-PRINT.layer_height],
end: [0,0,F.h-F.nut.h-PRINT.play_tolerance],
radius: F.nut.d/2
}));
rv.properties.c_column = new CSG.Connector([0,0,F.h],[0,0,1],[1,0,0]);
rv.properties.P = new CSG.Connector([0,0,F.h],[0,0,-1],[1,0,0]);
return rv.setColor(CONFIG.color.parts);
}
+function foot_foot() {
+ // TODO: connect in the altogethernow?
+ var F = CONFIG.foot;
+ var rv = CSG.cylinder({
+ start: [0,0,0], end: [0,0,F.foot.ho],
+ radius: F.bolt.hd/2+F.margin
+ }).union(CSG.cylinder({
+ start: [0,0,0], end: [0,0,F.foot.ho+F.foot.hi],
+ radius: F.bolt.hd/2+PRINT.play_tolerance-PRINT.fit_tolerance
+ }));
+ rv.properties.c_foot = new CSG.Connector([0,0,F.foot.ho],[0,0,1],[1,0,0]);
+ rv.properties.P = new CSG.Connector([0,0,0],[0,0,1],[1,0,0]);
+ return rv.setColor(CONFIG.color.softparts);
+}
function refaxes(o) {
if(!o) o = {};
var l = o.l||20, g = o.g||0.7;
return union([
CSG.roundedCylinder({start:[0,0,0],end:[l,0,0]}).setColor([1,0,0,g]),
CSG.roundedCylinder({start:[0,0,0],end:[0,l,0]}).setColor([0,1,0,g]),
CSG.roundedCylinder({start:[0,0,0],end:[0,0,l]}).setColor([0,0,1,g])
]);
}
function P(x) {
return x.connectTo(x.properties.P,new CSG.Connector([0,0,0],[0,0,1],[1,0,0]), false, 0);
}
var PARTS = {
wip: function(params) {
return foot();
return union(base_extrusions(),column_extrusions(),duet());
alltogethernow: function(params) {
var cols = columns();
var sides = base_sides();
var feet = THREEWINDS.map(function(w,i) {
var rv = foot();